{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
<!-- Content Header (Page header) -->
<div class="content-header">
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="row">
                        <div class="col-3">
                            <div class="card">
                                <div class="card-body d-flex justify-content-center">
                                    <img class="card-img-top p-3" src="{% static 'dist/img/tools.jpg' %}"
                                        style="height: 290px; width: 280px;" alt="img instalación">
                                </div>
                            </div>
                        </div>

                        <div class="col-8">
                            <!-- card -->
                            <div class="card card-fuchsia">
                                
                                <div class="card-header ">
                                    <h3 class="card-title text-uppercase">Detalles de instalación</h3>
                                </div>

                                <!-- card-body -->
                                <div class="card-body">

                                    {% if not obj %}   
                                        <p class="alert-danger p-3 display-4" style="font-size: 32px;">No hay detalles de instalación</p>
                                    {% endif %}         

                                    {% for item in obj %}                                    
                                        <!-- fila 1 -->
                                        <div class="row mt-2">                                            

                                            <div class="col-4">
                                                <div class="form-group">
                                                    <label for="id_cliente" class="text-sm text-uppercase text-black-50"
                                                        style="font-family: Arial, Helvetica, sans-serif;">CLIENTE:                                                        
                                                    </label>
                                                    <input type="text" value="{{ item.cliente }}" class="form-control" disabled>
                                                </div>
                                            </div>

                                            <div class="col-4">
                                                <div class="form-group">
                                                    <label for="id_estatus" class="text-sm text-uppercase text-black-50"
                                                        style="font-family: Arial, Helvetica, sans-serif;">INDICAR
                                                        ESTATUS:</label>
                                                    <input type="text" value="{{ item.estatus }}" class="form-control" disabled>
                                                </div>
                                            </div>

                                            <div class="col-4">
                                                <!-- Date -->
                                                <div class="form-group">
                                                    <label for="id_fecha" class="text-sm text-uppercase text-black-50"
                                                        style="font-family: Arial, Helvetica, sans-serif;">Fecha:
                                                    </label>
                                                    <!-- {{ form.fecha_de_pago }} -->
                                                    <div class="input-group date" id="reservationdate"
                                                        data-target-input="nearest">
                                                        <input type="text" name="fecha" id="id_fecha"
                                                            class="form-control datetimepicker-input" autocomplete="off"
                                                            value="{{ item.fecha|date:'d/m/Y' }}"
                                                            data-target="#reservationdate" disabled />
                                                        <div class="input-group-append" data-target="#reservationdate"
                                                            data-toggle="datetimepicker">
                                                            <div class="input-group-text"><i class="fa fa-calendar"></i>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>

                                        <!-- fila 2 -->
                                        <div class="row mt-2">
                                            <div class="col-4">
                                                <div class="form-group">
                                                    <label for="id_forma_de_pago"
                                                        class="text-sm text-uppercase text-black-50"
                                                        style="font-family: Arial, Helvetica, sans-serif;">FORMA DE PAGO: 
                                                    </label>
                                                    <input type="text" value="{{ item.forma_de_pago }}" class="form-control" disabled>
                                                </div>
                                            </div>

                                            <div class="col-4">
                                                <div class="form-group">
                                                    <label for="id_monto_recibido"
                                                        class="text-sm text-uppercase font-weight-lighter"
                                                        style="font-family: Arial, Helvetica, sans-serif;"><i
                                                            class="fa fa-money-bill"></i> MONTO RECIBIDO:
                                                    </label>
                                                    <input type="text" value="{{ item.monto_recibido }}" class="form-control" disabled>
                                                </div>
                                            </div>

                                            <div class="col-4">
                                                <div class="form-group">
                                                    <label for="id_notas" class="text-sm text-uppercase text-black-50"
                                                        style="font-family: Arial, Helvetica, sans-serif;">NOTAS:
                                                    </label>
                                                    <input type="text" value="{{ item.notas }}" class="form-control" disabled>
                                                </div>
                                            </div>

                                        </div>

                                    {% endfor %}

                                    <div class="dropdown-divider"></div>
                                    <div>
                                        <a href="{% url 'app_clientes:clientes_list' %}" class="btn btn-secondary btn-icon-split">
                                            <span class="icon text-white-50">
                                                <i class="fas fa-arrow-left"></i>
                                            </span>
                                            <span class="text">Regresar</span>
                                        </a>

                                    </div>

                                </div>
                                <!-- /.card-body -->
                            </div>
                        </div>
                        <!-- /.card -->

                    </div>
                </div>
            </div>
        </div>
</div>
</section>
<!-- /.container-fluid -->
</div>
<!-- /.content-header -->
{% endblock content %}

{% block js_page %}
<!-- DateTimePicker -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-datetimepicker/2.5.20/jquery.datetimepicker.full.min.js"
    integrity="sha256-FEqEelWI3WouFOo2VWP/uJfs1y8KJ++FLh2Lbqc8SJk=" crossorigin="anonymous"></script>

<!-- idioma español de Datetimepicker() -->
<script>
    $(document).ready(function () {
        jQuery.datetimepicker.setLocale('es');
    });
</script>

<script>
    //Initialize Select2 Elements
    // carga del DOM
    $(function () {
        //Initialize Select2 Elements
        $('#id_cliente').select2()

        //Initialize Select2 Elements
        $('#id_cliente').select2({
            theme: 'bootstrap4'
        })

        $("#id_fecha").datetimepicker({
            format: 'd/m/Y',
            timepicker: false
        });

    });
</script>
{% endblock js_page %}